Summary: Converts filenames from one encoding to another.
Name:    convmv
Version: 1.07
Release: 1.ker.rhel3
License: GPL
Group:   Applications/System
Source:  http://j3e.de/linux/convmv/convmv-1.07.tar.gz
Prefix:  %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires:  perl

%description
convmv is meant to help convert a single filename, a directory tree and the
contained files or a whole filesystem into a different encoding. It just
converts the filenames, not the content of the files. A special feature of
convmv is that it also takes care of symlinks, also converts the symlink target
pointer in case the symlink target is being converted, too.

All this comes in very handy when one wants to switch over from old 8-bit
locales to UTF-8 locales. It is also possible to convert directories to UTF-8
which are already partly UTF-8 encoded. convmv is able to detect if certain
files are UTF-8 encoded and will skip them by default. To turn this smartness
off use the --nosmart switch.

%prep
%setup -q

%build
make DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CREDITS Changes TODO
%{_bindir}/convmv
%{_mandir}/man1/*

%changelog
* Sat Feb 21 2004 Milan Kerslager <kerslage@linux.cz> 1.07-1
- initial package
